Get Block Trade Proposals
curl --request GET \
--url https://external-api.kalshi.com/trade-api/v2/communications/block-trade-proposals \
--header 'KALSHI-ACCESS-KEY: <api-key>' \
--header 'KALSHI-ACCESS-SIGNATURE: <api-key>' \
--header 'KALSHI-ACCESS-TIMESTAMP: <api-key>'import requests
url = "https://external-api.kalshi.com/trade-api/v2/communications/block-trade-proposals"
headers = {
"KALSHI-ACCESS-KEY": "<api-key>",
"KALSHI-ACCESS-SIGNATURE": "<api-key>",
"KALSHI-ACCESS-TIMESTAMP": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'KALSHI-ACCESS-KEY': '<api-key>',
'KALSHI-ACCESS-SIGNATURE': '<api-key>',
'KALSHI-ACCESS-TIMESTAMP': '<api-key>'
}
};
fetch('https://external-api.kalshi.com/trade-api/v2/communications/block-trade-proposals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"block_trade_proposals": [
{
"id": "<string>",
"proposer_user_id": "<string>",
"buyer_user_id": "<string>",
"seller_user_id": "<string>",
"market_ticker": "<string>",
"price_centi_cents": 123,
"centicount": 123,
"expiration_ts": "2023-11-07T05:31:56Z",
"status": "<string>",
"created_ts": "2023-11-07T05:31:56Z",
"updated_ts": "2023-11-07T05:31:56Z",
"buyer_accepted": true,
"seller_accepted": true,
"buyer_subtrader_id": "<string>",
"seller_subtrader_id": "<string>",
"buyer_accepted_ts": "2023-11-07T05:31:56Z",
"seller_accepted_ts": "2023-11-07T05:31:56Z",
"executed_ts": "2023-11-07T05:31:56Z",
"buyer_order_id": "<string>",
"seller_order_id": "<string>"
}
],
"cursor": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>",
"service": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>",
"service": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>",
"service": "<string>"
}communications
Get Block Trade Proposals
Endpoint for getting block trade proposals visible to the authenticated user.
GET
/
communications
/
block-trade-proposals
Get Block Trade Proposals
Authorizations
Your API key ID
RSA-PSS signature of the request
Request timestamp in milliseconds
Query Parameters
Pagination cursor. Use the cursor value returned from the previous response to get the next page of results. Leave empty for the first page.
Filter by market ticker
Parameter to specify the number of results per page. Defaults to 100.
Required range:
1 <= x <= 100Filter block trade proposals by status
⌘I